---
title: <number>
slug: Web/CSS/number
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
---
<p>{{CSSRef}}</p>

<p>The <strong><code>&lt;number&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents a number, being either an integer or a number with a fractional component.</p>

<h2 id="Syntax">Syntax</h2>

<p>The syntax of <code>&lt;number&gt;</code> extends the syntax of {{CSSxRef("&lt;integer&gt;")}}. A fractional value is represented by a <code>.</code> followed by one or more decimal digits, and may be appended to an integer. There is no unit associated with numbers.</p>

<h2 id="Interpolation">Interpolation</h2>

<p>When animated, values of the <code>&lt;number&gt;</code> CSS data type are interpolated as real, floating-point numbers. The speed of the interpolation is determined by the <a href="/en-US/docs/Web/CSS/single-transition-timing-function">timing function</a> associated with the animation.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Valid_numbers">Valid numbers</h3>

<pre class="syntaxbox example-good notranslate">12          A raw &lt;integer&gt; is also a &lt;number&gt;.
4.01        Positive fraction
-456.8      Negative fraction
0.0         Zero
+0.0        Zero, with a leading +
-0.0        Zero, with a leading -
.60         Fractional number without a leading zero
10e3        Scientific notation
-3.4e-2     Complicated scientific notation
</pre>

<h3 id="Invalid_numbers">Invalid numbers</h3>

<pre class="syntaxbox example-bad notranslate">12.         Decimal points must be followed by at least one digit.
+-12.2      Only one leading +/- is allowed.
12.1.1      Only one decimal point is allowed.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Values", "#numbers", "&lt;number&gt;")}}</td>
   <td>{{Spec2("CSS4 Values")}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Values", "#numbers", "&lt;number&gt;")}}</td>
   <td>{{Spec2("CSS3 Values")}}</td>
   <td>No significant change.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS2.1", "syndata.html#numbers", "&lt;number&gt;")}}</td>
   <td>{{Spec2("CSS2.1")}}</td>
   <td>Explicit definition.</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS1", "", "&lt;number&gt;")}}</td>
   <td>{{Spec2("CSS1")}}</td>
   <td>Implicit definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.number")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("&lt;integer&gt;")}}</li>
</ul>
